<?php
$est = new Estacionamiento();
$cliente = $est->cliente($_GET['id'][0],$_SESSION['usuario']['estacionamiento']);
if(!empty($cliente) && $cliente['f_salida'] == '-'){

	$time = time();
	$ahora = date('H:i:s d-m-Y',$time);
	$dif = abs(strtotime($cliente['f_entrada']) - $time);

	$minutos = floor($dif / (60));
	?>
	<table class="twelve">
		<thead>
			<tr>
				<th>Cliente</th>
				<th style="width:170px;">Fecha</th>
				<th style="width:85px;">Patente</th>
				<th style="width:145px;">Carroceria</th>
				<th style="width:170px;">F. entrada</th>
				<th style="width:170px;">F. salida</th>
				<th style="width:80px;">Minutos</th>
			</tr>
		</thead>
		<tbody>
			<?php
			echo '<tr>';
			echo '<td>'.$cliente['cliente'].'</td>';
			echo '<td>'.$cliente['fecha'].'</td>';
			echo '<td>'.$cliente['patente'].'</td>';
			echo '<td>'.$cliente['carroceria'].'</td>';
			echo '<td>'.$cliente['f_entrada'].'</td>';
			echo '<td>'.$ahora.'</td>';
			echo '<td>'.$minutos.'</td>';
			echo '</tr>';
			?>
		</tbody>
	</table>
	<?php
	$precios = $est->precios();
	if(!empty($precios[0]['id'])){
		$monto = 0;
		$valores = '';
		$horas = floor($minutos/60);
		foreach($precios as $precio){
			if($precio['carroceria']===$cliente['carroceria']){
				$valores = $precio;
			}
			if($precio['carroceria']==='General'){
				$general = $precio;
			}
		}
		if(empty($valores))
			$valores = $general;
		if($minutos <= 30){
			$monto += $valores['minimo'];
		}elseif($minutos <= 60){
			$monto += $valores['hora'];
		}elseif(!empty($horas)){
			$monto += ($valores['hora']*$horas);
			$minutos -= $horas * 60;
			if(!empty($precio['valor_tiempo_extra'])){
				$minutosExtras = ceil($minutos/$valores['tiempo_extra']);
				$monto += ($precio['valor_tiempo_extra']*$minutosExtras);
			}else{
				$monto += $valores['hora'];
			}
		}
		if($minutos<10){
			$minutos = '0'.$minutos;
		}
		if($horas<10){
			$horas = '0'.$horas;
		}
		?>
		<table class="twelve">
			<thead>
				<tr>
					<th>Carrocer&iacute;a</th>
					<th>Valor 30 min</th>
					<th>Valor hora</th>
					<th>Tiempo extra(minnutos)</th>
					<th>Valor tiempo extra</th>
				</tr>
			</thead>
			<tbody>
				<?php
				foreach($precios as $precio){
					echo '<tr>';
					echo '<td>'.$precio['carroceria'].'</td>';
					echo '<td>'.$precio['minimo'].'</td>';
					echo '<td>'.$precio['hora'].'</td>';
					echo '<td>'.$precio['tiempo_extra'].'</td>';
					echo '<td>'.$precio['valor_tiempo_extra'].'</td>';
					echo '</tr>';
				}
				?>
			</tbody>
		</table>
		<form id="salida" class="five column custom centered" action="javascript:void(0)">
			<fieldset>
				<legend>Registrar salida</legend>
				<div class="alert-box alert">
					Si se acepta el monto recomendado, se debe dejar en 0 el monto y si el usuario por alguna raz&oacute;n no debe cancelar el monto este debe tener el valor de -1.
				</div>
				<input type="hidden" name="cliente" value="<?php echo $_GET['id'][0]; ?>">
				<input type="hidden" name="ahora" value="<?php echo $ahora; ?>">
				<input type="hidden" name="monto_cancelar" value="<?php echo $cliente['monto']; ?>">
				<label>Tiempo(hrs):</label>
				<input class="five" type="text" value="<?php echo $horas.':'.$minutos; ?>" readonly>
				<label>Monto recomendado:</label>
				<input class="five" type="number" value="<?php echo $monto; ?>" min="0" step="1" name="monto_recomendado" readonly>
				<label><span class="requerido"></span> Monto:</label>
				<input class="five" type="number" value="0" min="-1" step="1" name="monto">
				<label>Obervaci&oacute;n:</label>
				<textarea name="observacion" cols="30" rows="5"><?php echo $cliente['observacion']; ?></textarea>
				<div class="right">
					<input type="button" class="success button radius" value="Guardar" onclick="xajax_salida(xajax.getFormValues('salida'));" style="margin:10px;">
					<a href="{BASE}clientes/<?php echo $_GET['id'][0]; ?>" class="alert button radius" style="margin:10px;">Cancelar</a>
				</div>
			</fieldset>
		</form>
	<?php
	}else{
		?>
		<div class="row">
			<div class="alert-box secondary seven column centered">
				El estacionamiento no cuenta con precios registrados.
			</div>
		</div>
		<form id="salida" class="five column custom centered" action="javascript:void(0)">
			<fieldset>
				<div class="alert-box alert">
					Si el usuario por alguna raz&oacute;n no debe cancelar el monto este debe tener el valor de -1.
				</div>
				<legend>Registrar salida</legend>
				<input type="hidden" name="cliente" value="<?php echo $_GET['id'][0]; ?>">
				<input type="hidden" name="ahora" value="<?php echo $ahora; ?>">
				<input type="hidden" name="monto_cancelar" value="<?php echo $cliente['monto']; ?>">
				<label><span class="requerido"></span> Monto:</label>
				<input class="five" type="number" value="0" min="-1" step="1" name="monto">
				<label>Obervaci&oacute;n:</label>
				<textarea name="observacion" cols="30" rows="5"><?php echo $cliente['observacion']; ?></textarea>
				<div class="right">
					<input type="button" class="success button radius" value="Guardar" onclick="xajax_salida(xajax.getFormValues('salida'));" style="margin:10px;">
					<a href="{BASE}clientes/<?php echo $_GET['id'][0]; ?>" class="alert button radius" style="margin:10px;">Cancelar</a>
				</div>
			</fieldset>
		</form>
		<?php
	}
}else{
	?>
	<div class="row">
		<div class="alert-box alert seven column centered">
			El cliente seleccionado no existe.
		</div>
	</div>
	<?php
}
?>